:root
  // skeleton colours
  --skellyBg hsl(270, 50, 96)
  --skellyFg hsl(274, 12, 89)
  // bg colours
  --base hsl(240, 100, 99)
  --trans transparentify(hsl(240, 100, 99), 0.8)
  --accent hsl(40, 75, 61)
  --focus hsl(30, 20, 90)
  // fg colours
  --text hsl(210, 33, 24)
  --border hsl(19, 6, 58)
  
  // layout, etc.
  --radius 3px
  --columns 1
  --wordSize 4rem
  --hiveSize 23rem
  // spacing, etc.
  --offset 5rem
  --gutter 2rem
  --px 1rem
  --py .7rem

// screen sizes: height
@media (min-height: 600px)
  :root
    --offset 0
// screen sizes: width
@media (min-width: 500px)
  :root
    --columns 2
@media (min-width: 700px)
  :root
    --columns 3
// screen sizes: width + height
@media (min-height: 750px) and (min-width: 500px)
  :root
    --gutter 5rem
    --px 1.5rem
    --py 1rem
    --wordSize 5rem
    --hiveSize 27rem

// themes
@media (prefers-color-scheme: dark)
  :root
    // bg colours
    --base hsl(240, 100, 3)
    --trans transparentify(hsl(240, 100, 3), 0.8)
    --accent hsl(40, 75, 48)
    --focus hsl(268, 42, 12) 
    // fg colours
    --text hsl(210, 33, 200)
    --border hsl(19, 12, 38)